Bug Hunting Session
Bug 97313 - libreoffice becomes unresponsive when you press control+o many times to open multiple files and nvda screen reader is running.
Summary: libreoffice becomes unresponsive when you press control+o many times to open ...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-Windows
  Show dependency treegraph
 
Reported: 2016-01-22 09:30 UTC by zahra
Modified: 2018-05-17 08:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zahra 2016-01-22 09:30:06 UTC
hi. 
i tested many versions of libreoffice while using nvda screen reader and also i tested two versions of open office before. 
when i want to open a file while nvda is running, libreoffice crashes and appeare the dialogue box that shows the program not responding and if i end it emediately, i face loss of data and wants to report to microsoft this problem. 
steps to reproduce: 
1/ open libreoffice writer while nvda is running. 
2/ press control+o or okay open in the file menu. 
current behaviour: libreoffice crashes with the famous error not responding, after that data recovery appears. 
expected behaviour: libreoffice shows dialoge bux for opening a file without any crash. 
i installed deep freeze and every time that deep freeze is active in the first time i turn my system on, when i first open a file libreoffice is good. 
but when i close my file and intend to open a new file for editing or reading libreoffice crashes and i should restart my system to libreoffice open another file properly and many many time restart. 
only one file in can be opened in this way and only needs restart again. 
one time i deactivate deep freeze and after opening one file, for the opening of the second file libreoffice crashed and i could not correct it even with restart! 
i fourced to uninstalled libreoffice completely and removed all its files in every places of my system and install it again!!! 
i wish that you solve it very soon, its a big problem inherited from open office. 
thanks so much and god bless you all.
Comment 1 Niklas Johansson 2016-01-22 12:50:29 UTC
Hi zahra

I cannot reproduce this. If I start NVDA and then LibreOffice 5.0.3, using Windows 10 (64-bit), everything works fine. 
Pressing Ctrl+O opens the file dialog without any issues. I don't see any issues using the menu File -> Open File. Tried it with multiple files having a few open closing a few and opening a few more. Can't really see any problem. 

I wonder if your LibreOffice profile has become corrupted. Have you tried resetting your LibreOffice user profile.

What version of Windows are you using?
Comment 2 V Stuart Foote 2016-01-22 19:59:33 UTC
@Nasrin,

I also can not reproduce with NVDA 2015.3 on either Windows 8.1 Pro 64-bit en-US, or Windows 10 Pro 64-bit en-US with
Version: 5.1.0.2 (x64)
Build ID: ecd3574d51754b043f865cf5bafee286d24db7cc
CPU Threads: 8; OS Version: Windows 6.29; UI Render: GL; 
Locale: en-US (en_US)

The UI and NVDA are stable, neither hangs nor lags when opening existing or new documents wtih <Ctrl>+O or the File -> Open menu actions.

Stop the Quickstarter process and please clear your LibreOffice and your OpenOffice user profiles. And clean up any residual installs of either LibreOffice or Apache OpenOffice --especially, the quickstarter feature. Then it is best to avoid that anti-feature in the install package by doing a custom installation, it is found in the "Optional Components" panel. Expand that, and locate and set the Quickstarter to sound the "this feature will not be available" setting. Things will be much more reliable on Windows.

To NEEDINFO for feedback from OP on result when correcting user profile issues and disabling the Quickstarter.

=-ref-=
https://wiki.documentfoundation.org/UserProfile#Resolving_corruption_in_the_user_profile
Comment 3 zahra 2016-01-23 04:15:16 UTC
hi. 
i tested many versions and also when my deep freeze is active, when i want to test the new version, i completely uninstalled libreoffice and even remove its files from documentsand settings, user, application, libreoffice folder, when my system is frozen. 
and its very strange and far for me to have problems with my user profiles. 

when i temporaryly quit nvda, i can open my file with control o or okay open in the file menu. 
i tested open office last year and i dont use it anymore. 
my locale is: fa-ir and also i tested with en-us locale too. 
my open gl is deactive by default and i did not change it. 
my cpu threads its two. 
i first installed libreoffice typical and now i deactive all component for the installing including quick starter.
Comment 4 Niklas Johansson 2016-01-24 11:05:52 UTC
Hello again

I still like to know what version of Windows you are using. The reason is the file browser was replaced in Windows Vista so if you are using XP then there is no use in trying to reproduce in a newer version of Windows (which we haven't been able to do). 

So I was going to test with the latest daily build that will become LibreOffice 5.2 and got a message that Vista is the oldest version supported. I haven't yet had the time to try with LibreOffice 5.1.

Have you tried using the LibreOffice builtin dialogs. Go to Tools -> Preferences, and in the dialog that shows up, press down arrow once and you should be at the category General, press tab three times and you'll reach the section Open/Save Dialogs and the setting Use LibreOffice dialogs. Check that setting and try to open a file. The settings dialog could really use some work when it comes to accessibility support and also note that I still don't know what version of LibreOffice your using so the instruction to press tab three times may be wrong if your using a much older version.
Comment 5 zahra 2016-01-24 14:28:36 UTC
hi niklas. 
i use windows xp and its very great for me. 
i tried your way for checking use libreoffice dialog for openning and saving files. 
but i am very comfortable with windows dialog in openning and saving files and this option was always unchecked for me. 
but when i checked it and tried to test, it was okay without problem. 
the problem is only for openning a files when use libreoffice dialog unchecked for me. 
do you mean that libreoffice developers decided to stop supporting windows xp in version 5.2? and do you know the time for release of version 5.2? 
thanks so much.
Comment 6 Niklas Johansson 2016-01-26 09:53:15 UTC
Done a test with LibreOffice 5.0.4 on Windows XP with NVDA 2015.4 and LibreOffice 5.1.0.2 (prerelease) and I can't reproduce the issue. I did a typical install of LibreOffice. I opened quite a few document closed and opened a few more without any signs of a freeze. I do not have deep freeze installed and no addons in NVDA. Don't know if the locale of your operating system might have an impact.

When it comes to LibreOffice 5.2 and Windows XP I have no idea if there has been any decision to drop support or if it is the tool chain of the build machine for the daily build that did not support XP. 
The first version of LibreOffice 5.2 will likely be released in August 2016.

When you say you tested with both en-US locale and fa-IR you are talking about the LibreOffice locale, right?
What is you Windows XP locale?

Do you have access to a computer with a newer version of Windows? 
It would be good to know if the issue is tied to the locale and it's characters etc. rather than Windows version.
Comment 7 zahra 2016-01-30 06:52:20 UTC
hi niklas. 
i use only windows xp and i am not shure about this problem in other windows versions. 
but my locale on windows is iran and i dont think that it was related to my locale. 
thanks again.
Comment 8 Robinson Tryon (qubit) 2016-08-25 05:39:14 UTC
We're replacing our use of the 'ux-advise' component with a keyword:
 Component -> LibreOffice
 Add Keyword: needsUXEval

[NinjaEdit]
Comment 9 Yousuf Philips (jay) (retired) 2016-10-12 12:18:57 UTC
Hi Zahra,

As Libreoffice 5.2 has a crash reporting system built into it, please try that version and let it crash and on opening it again, you should get a crash report dialog which will send data to us, so we can track down the issue.

On a different note, it would be good if you could test earlier versions of LibreOffice to see if they also have the same issue. You can grab a portable version of LibreOffice from the below links to test.

http://downloadarchive.documentfoundation.org/libreoffice/old/4.2.8.2/portable/

http://downloadarchive.documentfoundation.org/libreoffice/old/4.4.7.2/portable/
Comment 10 zahra 2016-10-16 11:48:09 UTC
(In reply to Yousuf Philips (jay) from comment #9)
> Hi Zahra,
> 
> As Libreoffice 5.2 has a crash reporting system built into it, please try
> that version and let it crash and on opening it again, you should get a
> crash report dialog which will send data to us, so we can track down the
> issue.
> 
> On a different note, it would be good if you could test earlier versions of
> LibreOffice to see if they also have the same issue. You can grab a portable
> version of LibreOffice from the below links to test.
> 
> http://downloadarchive.documentfoundation.org/libreoffice/old/4.2.8.2/
> portable/
> 
> http://downloadarchive.documentfoundation.org/libreoffice/old/4.4.7.2/
> portable/

hi yousuf.
i tested nvda 2016.3 with no problem when i press control+o to open my documents.
i am not shure that this problem is related to nvda version or espeak version, but i think that the problem is solved with releasing espeak 1.48.15
but the best version of nvda for me is 2016.1 and in this version, the issue persists for me.
also i use libreoffice 4.4.6 and i unchecked all optional component.
a technical question!
does it make a problem in using libreoffice because i always uncheck all optional components when installing libreoffice?
also the portable version of libreoffice does not work with nvda well and it crashes even in usual work, openning menus, openning documents and saving them etc.
thanks again for your help and God bless you for your great job.
Comment 11 zahra 2017-01-22 06:34:17 UTC
hi stuart.
quick starter is always uncheck for me and i did test with libreoffice 4.3, 4.4, 5.0 and 5.1 
the result in all of them is not responding of libreoffice and wanting to recover my document!
i dont know the reason, because i also observed this problem in openoffice with nvda too.
for instans, change it to inherited from OOO.
because the action in using nvda and trying to open one document with them is the same.
with the newer versions of nvda and espeak, the problem i think is less.
but completely is not resolved for me!
i observe this behavior in using windows dialog for openning and saving documents, not libreoffice document in general setting.
Comment 12 zahra 2017-02-11 12:54:06 UTC
(In reply to Yousuf Philips (jay) from comment #9)
> Hi Zahra,
> 
> As Libreoffice 5.2 has a crash reporting system built into it, please try
> that version and let it crash and on opening it again, you should get a
> crash report dialog which will send data to us, so we can track down the
> issue.
> 
> On a different note, it would be good if you could test earlier versions of
> LibreOffice to see if they also have the same issue. You can grab a portable
> version of LibreOffice from the below links to test.
> 
> http://downloadarchive.documentfoundation.org/libreoffice/old/4.2.8.2/
> portable/
> 
> http://downloadarchive.documentfoundation.org/libreoffice/old/4.4.7.2/
> portable/

hi.
i tested libreoffice 5.2.5 with nvda 2016.4 and the issue still persists for me.
how can help you to report the crash?
libreoffice becomes unresponsive and i cant open my files until several times use alt+f4 and says end program and cancel/
after many times trying to close the program, libreoffice becomes unresponsive and wants to report the issue to the microsoft.
i enter on dont send botton and i should again open libreoffice.
after that, it brings for me document recovery and i enter on discard recovery and then can use the program!
i should quit nvda before pressing control+o  to activate open dialog.
dialog box for open comes and i should start nvda again to use it.
thanks so much for helping us and God bless you.
Comment 13 Buovjaga 2017-02-11 18:49:40 UTC
Ok, it seems the crash reporter does not work when killing a hanging process via Windows task manager. I tried it myself.

zahra: in version 5.3 there is a new feature called Safe Mode. Help - Restart in Safe Mode and then "Continue in Safe Mode" will allow you to try it. If you can use version 5.3, you could give it a shot with your file opening problem.
Comment 14 zahra 2017-02-11 20:38:46 UTC
hello.
i cant use safe mode because at least its not easy for blind people to use it in the windows.
safe mode is not accessible or easy to use in previous versions of windows.
Comment 15 Buovjaga 2017-02-12 08:38:04 UTC
(In reply to zahra from comment #14)
> hello.
> i cant use safe mode because at least its not easy for blind people to use
> it in the windows.
> safe mode is not accessible or easy to use in previous versions of windows.

Just to be clear: I am not talking about the Safe mode of Windows, but LibreOffice. It is a new feature in 5.3.
Comment 16 zahra 2017-02-12 09:44:48 UTC
(In reply to Buovjaga from comment #15)
> (In reply to zahra from comment #14)
> > hello.
> > i cant use safe mode because at least its not easy for blind people to use
> > it in the windows.
> > safe mode is not accessible or easy to use in previous versions of windows.
> 
> Just to be clear: I am not talking about the Safe mode of Windows, but
> LibreOffice. It is a new feature in 5.3.

is it accessible for blind users?
but about safemode in windows, its for windows 8 and later accessible for blind users.
how about the new feature in libreoffice 5.3?
could you please try nvda screen reader and report the result?
maybe it problem only occures on windows xp and maybe general for different versions of windows.
but i only tested on xp and cant access to newer versions of windows.
you can download and test nvda 2016.4 from this link:

https://www.nvaccess.org/files/nvda/releases/2016.4/nvda_2016.4.exe

as i mentioned, i only use windows dialog for openning and saving in libreoffice and dont use libreoffice dialog.
i mean the option in general setting.
but the problem only happens in windows dialog, not libreoffice.
Comment 17 Buovjaga 2017-02-12 10:03:15 UTC
Áron: did you have an XP VM lying around?
Comment 18 zahra 2017-02-12 13:29:07 UTC
(In reply to Buovjaga from comment #17)
> Áron: did you have an XP VM lying around?

thanks so much for effort to resolve the issues.
i appreciate your help and God bless you.
you can test it on different versions of windows since xp and newer one.
i appreciate your help and request divine mercy and blessings for you.
Comment 19 QA Administrators 2017-08-30 19:26:59 UTC Comment hidden (obsolete)
Comment 20 Yousuf Philips (jay) (retired) 2017-08-31 08:37:05 UTC
Zahra: You can try safe mode by activating 'Restart in Safe Mode' found in the help menu of LibreOffice.

I tested LO 5.5 from 2017-06-01 with NVDA 2016.2.1 on Windows 8.1 and didnt have any problems.
Comment 21 zahra 2017-09-08 13:23:16 UTC
(In reply to Yousuf Philips (jay) from comment #20)
> Zahra: You can try safe mode by activating 'Restart in Safe Mode' found in
> the help menu of LibreOffice.
> 
> I tested LO 5.5 from 2017-06-01 with NVDA 2016.2.1 on Windows 8.1 and didnt
> have any problems.

hello.
i use version 5.3.4.1 and decided to use it forever.
but in this week, i downloaded 5.3.6.1 and in previous weeks, 5.4.0.3 to test.

i realized that the issues still persists!

as i mentioned, this problem only occur if windows dialog for open and save is enabled in libreoffice tools options general, not libreoffice dialog.

if i open one file directly, (pressing enter on a file) libreoffice can open files does not matter how many files i open and close.

but the problem is only for open in file menu or using control+o.

also, whats the purpose of safe mode?

did you design it to we use libreoffice like fresh install to be sure that the bug is not the result of our mistake in configuring libreoffice setting?

if so, i many many many times, completely uninstall libreoffice completely with all profiles and registry keys and again reinstall it without any success!

about my earliest affected version, i should say, i never tried ooo, but i have this problem in openoffice also and guessed that it should be an old bug in ooo!

i realy cant test ooo.

thanks extremely for your help, i appreciate you and request divine infinite blessings and mercy for you!
Comment 22 QA Administrators 2018-04-04 13:08:35 UTC Comment hidden (obsolete)
Comment 23 zahra 2018-04-21 18:38:16 UTC Comment hidden (obsolete)
Comment 24 V Stuart Foote 2018-04-21 21:06:00 UTC
Closing this out as Wont Fix. 

This issue lacks reliable STR with other NVDA users unable to reproduce--we have never been able to review a LibreOffice stack trace/crash report or an NVDA verbose log.

OPs Windows XP system configuration does not permit testing with current dev versions and the LibreOffice and NVDA builds involved are EOL.

OP is advised to migrate to supported OS and Assistive technology tools that stand some chance of providing functional a11y
Comment 25 zahra 2018-05-17 08:39:32 UTC
(In reply to V Stuart Foote from comment #24)
> Closing this out as Wont Fix. 
> 
> This issue lacks reliable STR with other NVDA users unable to reproduce--we
> have never been able to review a LibreOffice stack trace/crash report or an
> NVDA verbose log.
> 
> OPs Windows XP system configuration does not permit testing with current dev
> versions and the LibreOffice and NVDA builds involved are EOL.
> 
> OP is advised to migrate to supported OS and Assistive technology tools that
> stand some chance of providing functional a11y

i always follow bug fixed in libreoffice and did not see any new feature or report that indicates that the issue is fixed.
the str was very simple.
just open for example: writer and press control+o and open one file.
if libreoffice was responsive and you did not observe unresponsiveness of libreoffice, just press contro+o and open one another file!
after openning some files,
when you press control+o to open another file, libreoffice becomes unresponsive and you dont see the items to select and open one another file!
when you press alt+f4 to close the program, you observe that libreoffice is not responsive and you have only two button, end now and cancel.
when you confirm end now, you observe that libreoffice is not responsive and wants to reports this issue to microsoft!
as i said, this problem only occures when windows dialog for openning and saving files is activate in libreoffice tools options libreoffice general.
if libreoffice dialog be checked, i did not have this issue when i tested.